KILLPG(2)

NAME
killpg - send signal to a process group

SYNOPSIS
killpg(pgrp, sig)
int pgrp, sig;

DESCRIPTION
Killpg sends the signal sig to the process group pgrp. See sigvec(2) for a list of signals.

The sending process and members of the process group must have the same effective user ID, or the sender must be the super-user. As a single special case the continue signal SIGCONT may be sent to any process that is a descendant of the current process.

RETURN VALUE
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and the global variable errno is set to indicate the error.

ERRORS
Killpg will fail and no signal will be sent if any of the following occur:

[EINVAL]
    Sig is not a valid signal number.

[ESRCH]
    No process can be found in the process group specified by pgrp.

[ESRCH]
    The process group was given as 0 but the sending process does not have a process group.

[EPERM]
    The sending process is not the super-user and one or more of the target processes has an effective user ID different from that of the sending process.

SEE ALSO
kill(2), getpgrp(2), sigvec(2)